com.jscape.inet.mft.management.descriptors

## Class HttpConfiguration

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.TransportServiceConfiguration
    - - com.jscape.inet.mft.management.descriptors.HttpConfiguration

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class HttpConfiguration
      extends TransportServiceConfiguration

  HTTP service descriptor.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpConfiguration()` Creates new instance.
    `HttpConfiguration(HttpConfiguration that)` Creates new instance from existing instance.
    `HttpConfiguration(TaggedProperties[] languages, java.lang.String logo, AutoLogoutTimeout autoLogoutTimeout, long connectionTimeout, java.lang.String redirectionUrl, boolean showTransferType, boolean showLoginInfo, boolean showAccountLink, boolean showSearch, boolean documentViewerEnabled, boolean emailFileTransferEnabled, Form[] uploadForms, boolean uploadFormRequired, SelfRegistrationConfiguration registrationConfiguration, java.lang.String aftpNatHost, java.lang.String theme, int version)` Creates new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `adjustLanguages(TaggedProperties original)` Resets language resources to provided defaults.
    `Configuration` | `copy()`
    `java.lang.String` | `getAftpNatHost()` Returns AFTP NAT host for Java applet connection.
    `AutoLogoutTimeout` | `getAutoLogoutTimeout()` Gets automatic inactivity logout descriptor.
    `long` | `getConnectionTimeout()` Gets HTTP connection timeout in ms.
    `TaggedProperties[]` | `getLanguages()` Gets language resources.
    `java.lang.String` | `getLogo()` Gets logo.
    `java.lang.String` | `getRedirectionUrl()` Returns logout redirection URL.
    `SelfRegistrationConfiguration` | `getRegistrationConfiguration()` Gets self-registration process configuration.
    `java.lang.String` | `getTheme()`
    `Form[]` | `getUploadForms()` Returns upload forms.
    `boolean` | `isAppletAllowed()` Deprecated. Support for Applet removed
    `boolean` | `isDocumentViewerEnabled()` Gets whether Web Document Viewer enabled.
    `boolean` | `isEmailFileTransferEnabled()` Gets whether ad-hoc email file transfer enabled.
    `boolean` | `isShowAccountLink()` Gets whether account link is shown in web interface.
    `boolean` | `isShowLoginInfo()` Gets whether login information is shown in web interface.
    `boolean` | `isShowSearch()` Gets whether search form is shown in web interface.
    `boolean` | `isShowTransferType()` Gets whether transfer type is shown in web interface.
    `boolean` | `isUploadFormRequired()` Get whether upload form is required.
    `boolean` | `isUseFlashUploadComponent()` Deprecated. Support for Flash upload removed
    `java.util.Map<java.lang.String,TaggedProperties>` | `languages()`
    `byte[]` | `logoBytes()` Gets raw logo image data.
    `void` | `logoBytes(byte[] data)` Sets the logo.
    `void` | `setAftpNatHost(java.lang.String value)` Sets AFTP NAT host for Java applet connection.
    `void` | `setAppletAllowed(boolean value)` Deprecated.
    `void` | `setAutoLogoutTimeout(AutoLogoutTimeout value)` Sets automatic inactivity logout descriptor.
    `void` | `setConnectionTimeout(long value)` Sets HTTP connection timeout in ms.
    `void` | `setDocumentViewerEnabled(boolean value)` Sets whether Web Document Viewer enabled.
    `void` | `setEmailFileTransferEnabled(boolean value)` Sets whether ad-hoc email file transfer enabled.
    `void` | `setLanguages(TaggedProperties[] value)` Sets language resources.
    `void` | `setLogo(java.lang.String value)` Sets logo data.
    `void` | `setRedirectionUrl(java.lang.String value)` Sets logout redirection URL.
    `void` | `setRegistrationConfiguration(SelfRegistrationConfiguration value)` Sets self-registration process configuration.
    `void` | `setShowAccountLink(boolean value)` Sets whether account link is shown in web interface.
    `void` | `setShowLoginInfo(boolean value)` Sets whether login information is shown in web interface.
    `void` | `setShowSearch(boolean value)` Sets whether search form is shown in web interface.
    `void` | `setShowTransferType(boolean value)` Sets whether transfer type is shown in web interface.
    `void` | `setTheme(java.lang.String value)`
    `void` | `setUploadFormRequired(boolean value)` Sets whether upload form is required.
    `void` | `setUploadForms(Form[] value)` Sets upload forms.
    `void` | `setUseFlashUploadComponent(boolean value)` Deprecated. Support for Flash upload removed
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpConfiguration

          public HttpConfiguration(TaggedProperties[] languages,
                                   java.lang.String logo,
                                   AutoLogoutTimeout autoLogoutTimeout,
                                   long connectionTimeout,
                                   java.lang.String redirectionUrl,
                                   boolean showTransferType,
                                   boolean showLoginInfo,
                                   boolean showAccountLink,
                                   boolean showSearch,
                                   boolean documentViewerEnabled,
                                   boolean emailFileTransferEnabled,
                                   Form[] uploadForms,
                                   boolean uploadFormRequired,
                                   SelfRegistrationConfiguration registrationConfiguration,
                                   java.lang.String aftpNatHost,
                                   java.lang.String theme,
                                   int version)

      Creates new instance.
      Parameters:
        `languages` - language-related strings
        `logo` - logo data
        `autoLogoutTimeout` - auto logout timeout in ms
        `connectionTimeout` - connection timeout in ms
        `redirectionUrl` - redirection URL
        `showTransferType` - show transfer type flag
        `showLoginInfo` - show login info flag
        `showAccountLink` - show account link flag
        `showSearch` - show search form flag
        `documentViewerEnabled` - document viewer flag
        `emailFileTransferEnabled` - ad-hoc email file transfer flag
        `uploadForms` - upload forms
        `uploadFormRequired` - required upload form
        `registrationConfiguration` - self-registration configuration
        `aftpNatHost` - AFTP NAT host for Java applet connection if any

    - #### HttpConfiguration

          public HttpConfiguration(HttpConfiguration that)

      Creates new instance from existing instance.
      Parameters:
        `that` - existing instance

    - #### HttpConfiguration

          public HttpConfiguration()

      Creates new instance.

  - ### Method Detail

    - #### getLanguages

          public TaggedProperties[] getLanguages()

      Gets language resources.
      Returns:
        language-related resources

    - #### setLanguages

          public void setLanguages(TaggedProperties[] value)

      Sets language resources.
      Parameters:
        `value` - language-related resources

    - #### getLogo

          public java.lang.String getLogo()

      Gets logo.
      Returns:
        logo data

    - #### setLogo

          public void setLogo(java.lang.String value)

      Sets logo data.
      Parameters:
        `value` - sets logo data as Base64-encoded string

    - #### logoBytes

          public byte[] logoBytes()

      Gets raw logo image data.
      Returns:
        logo data as byte array

    - #### logoBytes

          public void logoBytes(byte[] data)

      Sets the logo.
      Parameters:
        `data` - the logo data bytes

    - #### getAutoLogoutTimeout

          public AutoLogoutTimeout getAutoLogoutTimeout()

      Gets automatic inactivity logout descriptor.
      Returns:
        AutoLogoutTimeout descriptor

    - #### setAutoLogoutTimeout

          public void setAutoLogoutTimeout(AutoLogoutTimeout value)

      Sets automatic inactivity logout descriptor.
      Parameters:
        `value` - AutoLogoutTimeout descriptor

    - #### getRedirectionUrl

          public java.lang.String getRedirectionUrl()

      Returns logout redirection URL.
      Returns:
        logout redirection URL

    - #### setRedirectionUrl

          public void setRedirectionUrl(java.lang.String value)

      Sets logout redirection URL.
      Parameters:
        `value` - logout redirection URL

    - #### isShowLoginInfo

          public boolean isShowLoginInfo()

      Gets whether login information is shown in web interface.
      Returns:
        true if enabled, false otherwise

    - #### setShowLoginInfo

          public void setShowLoginInfo(boolean value)

      Sets whether login information is shown in web interface.
      Parameters:
        `value` - true if enabled, false otherwise

    - #### isShowAccountLink

          public boolean isShowAccountLink()

      Gets whether account link is shown in web interface.
      Returns:
        true if enabled, false otherwise

    - #### setShowAccountLink

          public void setShowAccountLink(boolean value)

      Sets whether account link is shown in web interface.
      Parameters:
        `value` - true if enabled, false otherwise

    - #### getConnectionTimeout

          public long getConnectionTimeout()

      Gets HTTP connection timeout in ms.
      Returns:
        timeout in ms

    - #### setConnectionTimeout

          public void setConnectionTimeout(long value)

      Sets HTTP connection timeout in ms.
      Parameters:
        `value` - timeout in ms

    - #### isShowTransferType

          public boolean isShowTransferType()

      Gets whether transfer type is shown in web interface.
      Returns:
        true if enabled, false otherwise

    - #### setShowTransferType

          public void setShowTransferType(boolean value)

      Sets whether transfer type is shown in web interface.
      Parameters:
        `value` - true if enabled, false otherwise

    - #### isDocumentViewerEnabled

          public boolean isDocumentViewerEnabled()

      Gets whether Web Document Viewer enabled.
      Returns:
        `true` if enabled, `false` otherwise

    - #### setDocumentViewerEnabled

          public void setDocumentViewerEnabled(boolean value)

      Sets whether Web Document Viewer enabled.
      Parameters:
        `value` - `true` if enabled, `false` otherwise

    - #### isAppletAllowed

          @Deprecated
          public boolean isAppletAllowed()

      Deprecated. Support for Applet removed
      Gets whether applet access is allowed.
      Returns:
        `false`

    - #### setAppletAllowed

          @Deprecated
          public void setAppletAllowed(boolean value)

      Deprecated.
      Sets whether applet access is allowed.
      Parameters:
        `value` - if `true` applet is allowed * @deprecated Support for Applet removed

    - #### isUseFlashUploadComponent

          @Deprecated
          public boolean isUseFlashUploadComponent()

      Deprecated. Support for Flash upload removed
      Gets whether Flash Upload Component will be used.
      Returns:
        `false`

    - #### setUseFlashUploadComponent

          @Deprecated
          public void setUseFlashUploadComponent(boolean value)

      Deprecated. Support for Flash upload removed
      Gets whether Flash Upload Component is used.
      Parameters:
        `value` - `true` if used, `false` otherwise

    - #### isEmailFileTransferEnabled

          public boolean isEmailFileTransferEnabled()

      Gets whether ad-hoc email file transfer enabled.
      Returns:
        `true` if enabled; `false` otherwise

    - #### setEmailFileTransferEnabled

          public void setEmailFileTransferEnabled(boolean value)

      Sets whether ad-hoc email file transfer enabled.
      Parameters:
        `value` - `true` if enabled; `false` otherwise

    - #### getUploadForms

          public Form[] getUploadForms()

      Returns upload forms.
      Returns:
        upload forms

    - #### setUploadForms

          public void setUploadForms(Form[] value)

      Sets upload forms.
      Parameters:
        `value` - upload forms

    - #### isUploadFormRequired

          public boolean isUploadFormRequired()

      Get whether upload form is required.
      Returns:
        `true` is required; `false` otherwise

    - #### setUploadFormRequired

          public void setUploadFormRequired(boolean value)

      Sets whether upload form is required.
      Parameters:
        `value` - `true` is required; `false` otherwise

    - #### isShowSearch

          public boolean isShowSearch()

      Gets whether search form is shown in web interface.
      Returns:
        `true` is shown; `false` otherwise.

    - #### setShowSearch

          public void setShowSearch(boolean value)

      Sets whether search form is shown in web interface.
      Parameters:
        `value` - `true` if is shown; `false` otherwise

    - #### getRegistrationConfiguration

          public SelfRegistrationConfiguration getRegistrationConfiguration()

      Gets self-registration process configuration.
      Returns:
        self-registration configuration

    - #### setRegistrationConfiguration

          public void setRegistrationConfiguration(SelfRegistrationConfiguration value)

      Sets self-registration process configuration.
      Parameters:
        `value` - self-registration configuration

    - #### getAftpNatHost

          public java.lang.String getAftpNatHost()

      Returns AFTP NAT host for Java applet connection.
      Returns:
        the NAT host

    - #### setAftpNatHost

          public void setAftpNatHost(java.lang.String value)

      Sets AFTP NAT host for Java applet connection.
      Parameters:
        `value` - the NAT host

    - #### getTheme

          public java.lang.String getTheme()

    - #### setTheme

          public void setTheme(java.lang.String value)

    - #### adjustLanguages

          public void adjustLanguages(TaggedProperties original)

      Resets language resources to provided defaults.
      Parameters:
        `original` - the default language resources

    - #### languages

          public java.util.Map<java.lang.String,TaggedProperties> languages()

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.